package org.bench4q.master.domain.entity.plugin;

import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name = "groupContainer")
public class Group extends ParamsContainer {
	private ParamsContainer paramsContainer;

	@ManyToOne
	@JoinColumn(name = "paramContainer", nullable = false)
	public ParamsContainer getParamsContainer() {
		return paramsContainer;
	}

	public void setParamsContainer(ParamsContainer paramsContainer) {
		this.paramsContainer = paramsContainer;
	}

}
